<?php

namespace Internetgalerie\IgDatapoolFe\ViewHelpers\Form;

class TokenMultiselectViewHelper extends Select2ViewHelper
{
    protected static $class = 'dp-tokenizer';

    public function initializeArguments(): void
    {
        parent::initializeArguments();
        $this->overrideArgument('options', 'mixed', 'Associative array with internal IDs as key, and the values are displayed in the select box', true);
        $this->overrideArgument('multiple', 'boolean', 'Associative array with internal IDs as key, and the values are displayed in the select box', false, true);
        $this->overrideArgument('style', 'string', '', false, 'width:100%;');
    }

}
